| Home | Libraries | People | FAQ | More

## Struct regex_error

boost::xpressive::regex_error — The class regex_error defines the type of objects thrown as exceptions to report errors during the conversion from a string representing a regular expression to a finite state machine.

## Synopsis

    // In header: <boost/xpressive/regex_error.hpp>

    struct regex_error : public std::runtime_error {
      // construct/copy/destruct
      regex_error(regex_constants::error_type, char const * = "");
      ~regex_error();

      // public member functions
      regex_constants::error_type code() const;
    };

## Description

### `regex_error` public construct/copy/destruct

1.     regex_error(regex_constants::error_type code, char const * str = "");

   Constructs an object of class regex_error.

   Parameters: |
   `code` | The error_type this regex_error represents.
   Postconditions: | code() == code

2.     ~regex_error();

   Destructor for class regex_error

   Throws: | Will not throw.

### `regex_error` public member functions

1.     regex_constants::error_type code() const;

   Accessor for the error_type value

   Returns: | the error_type code passed to the constructor
   Throws: | Will not throw.